php代码中检测当前版本及环境是否支持某个函数

p我们之前开发了WordPress的采集插件,发现一些朋友在服务器的环境中禁用了一些函数下面我们将插件代码升级一下,这里记录一下php中判断是否支持某个函数的方法。

解决方法:

判断mysqli_connect是否能正常使用

if(function_exists( 'mysqli_connect')){
    echo '当前php版本支持mysqli_connect函数';
}else {
    echo '当前php版本不支持mysqli_connect函数';
}

搬瓦工,CN2高速线路,1GB带宽,电信联通优化KVM,延迟低,速度快,建站稳定,搬瓦工BandwagonHost VPS优惠码BWH26FXH3HIQ,支持<支付宝> 【点击购买】!

Vultr$3.5日本节点,512M内存/500G流量/1G带宽,电信联通优化,延迟低,速度快【点击购买】!

腾讯云云产品精选秒杀【点击购买】

阿里云香港、新加坡VPS/1核/1G/25G SSD/1T流量/30M带宽/年付¥288【点击购买】

百度云不止一折优惠【点击购买】

发表评论

电子邮件地址不会被公开。 必填项已用*标注